Loading...
Searching...
No Matches
BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthCriterion Class Reference

`#include <BALL/DATATYPE/GRAPH/treeWidth.h>`

## Public Member Functions

| MinorMinWidthCriterion (UndirectedGraph const &graph)
Size | operator() (VertexType &vertex) const

## Protected Attributes

UndirectedGraph const & | graph_

## Detailed Description

template<class UndirectedGraph>
class BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthCriterion

search for a vertex with minimum degree

Definition at line 234 of file treeWidth.h.

## Constructor & Destructor Documentation

## MinorMinWidthCriterion()

template<class UndirectedGraph>

BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthCriterion::MinorMinWidthCriterion | ( | UndirectedGraph const & | graph | ) |

## Member Function Documentation

## operator()()

template<class UndirectedGraph>

Size BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthCriterion::operator() | ( | VertexType & | vertex | ) | const

## Member Data Documentation

## graph_

template<class UndirectedGraph>

UndirectedGraph const& BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthCriterion::graph_

protected

Definition at line 242 of file treeWidth.h.